Package org.codehaus.janino.util.signature

# Interface SignatureParser.FieldTypeSignature

All Superinterfaces:
  `SignatureParser.TypeSignature`

All Known Implementing Classes:
  `SignatureParser.ArrayTypeSignature`, `SignatureParser.ClassTypeSignature`, `SignatureParser.TypeVariableSignature`

Enclosing class:
  `SignatureParser`

public static interface SignatureParser.FieldTypeSignature extends SignatureParser.TypeSignature
Representation of the "FieldTypeSignature" clause. A 'field type signature' is one of

`SignatureParser.ClassTypeSignature`:
  E.g. '`pkg.Outer<T>.Inner<U>`'
`SignatureParser.ArrayTypeSignature`
`SignatureParser.TypeVariableSignature`:
  E.g. '`T`'

## Method Summary

Modifier and Type
Method
Description
`<T, EX extends Throwable>
T`
`accept(SignatureParser.FieldTypeSignatureVisitor<T,EX> visitor)`
`String`
`toString()`

## Method Details

### accept

<T, EX extends Throwable> T accept(SignatureParser.FieldTypeSignatureVisitor<T,EX> visitor) throws EX

Throws:
  `EX`

### toString

String toString()

Specified by:
  `toString` in interface `SignatureParser.TypeSignature`
Overrides:
  `toString` in class `Object`